from uuid import UUID

from pydantic import BaseModel, ConfigDict


class StatusBaseSchema(BaseModel):
    name: str | None = None


class StatusIdSchema(BaseModel):
    id: UUID

    model_config = ConfigDict(from_attributes=True)


class StatusSchema(StatusBaseSchema, StatusIdSchema):
    pass
